#### D.14.1.21 arrEssentialize

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrEssentialize(A); arrangement A;

Return:
  essential arrangement by transformation

Note:
  A has to be non-empty.

Example:

    LIB "arr.lib";
    ring S = 0,(x,y,z),dp;
    arr A=arrBraid(3);
    arrEssentialize(A);
    ==> _[1]=x-y
    ==> _[2]=x
    ==> _[3]=y
    ==>
    arr B = ideal(x+y+z,x,y+z);
    arrEssentialize(B);
    ==> _[1]=x+y
    ==> _[2]=x
    ==> _[3]=y
    ==>

See also: arrCone; arrDecone; arrEssentialize; arrIsEssential; arrRestrict.

User manual for Singular version 4.4.1, 2025, generated by texi2html.